
Name: aqbanking
Summary: A library for online banking functions and financial data import/export
Version: 6.5.4
Release:    1%{?dist}
Source0: https://www.aquamaniac.de/rdm/attachments/download/499/aqbanking-%{version}.tar.gz
License: GPL-2.0-only GPL-3.0-only
URL: https://www.aquamaniac.de/rdm/projects/aqbanking

%global majmin %(echo %{version} | cut -d. -f1-2)

BuildRequires: gcc-c++
BuildRequires: gwenhywfar-devel >= 5.0.0
BuildRequires: gmp-devel, gettext, libtool
BuildRequires: xmlsec1-gnutls-devel, xmlsec1-devel, libtool-ltdl-devel, libxslt-devel, libxml2-devel
BuildRequires: cmake
BuildRequires: xmlsec1-gnutls, xmlsec1-gcrypt
BuildRequires: make
Requires: libchipcard

%description 
The intention of AqBanking is to provide a middle layer between the
program and the various Online Banking libraries (e.g. AqHBCI). The
first backend which is already supported is AqHBCI, a library which
implements a client for the German HBCI (Home Banking Computer
Interface) protocol. Additionally, Aqbanking provides various plugins
to simplify import and export of financial data. Currently there are
import plugins for the following formats: DTAUS (German financial
format), SWIFT (MT940 and MT942).

%package devel
Summary: Development headers for Aqbanking
Requires: %{name} = %{version}-%{release}
Requires: gwenhywfar-devel

%description devel
This package contains aqbanking-config and header files for writing and
compiling programs using Aqbanking.


%prep
%autosetup -n %{name}-%{version}

%if "%{_libdir}" != "/usr/lib"
sed -i -e 's|"/lib /usr/lib|"/%{_lib} %{_libdir}|' configure
%endif


%build
export PKG_CONFIG=/usr/bin/pkg-config

%configure \
  --disable-static \
  --enable-gui-tests=no \
  --with-build-datetime="$(date +%Y%m%d)"

%make_build


%install

%make_install

rm -fv %{buildroot}%{_libdir}/lib*.la

pushd tutorials
make clean
rm -rf .deps
rm -f Makefile*
popd

%find_lang %{name}


%check
make check ||:



%files -f %{name}.lang
%doc %{_datadir}/doc/%{name}
%{_libdir}/libaqbanking.so.44*
%{_libdir}/aqbanking/
%{_datadir}/aqbanking
%{_bindir}/aqbanking-cli
%{_bindir}/aqebics-tool
%{_bindir}/aqhbci-tool4
%{_bindir}/aqpaypal-tool
%{_bindir}/aqofxconnect-tool

%files devel
%doc doc/0[12]* tutorials
%{_bindir}/aqbanking-config
%{_libdir}/libaqbanking.so
%{_includedir}/aqbanking6/
%{_libdir}/cmake/aqbanking-%{majmin}/
%{_libdir}/pkgconfig/aqbanking.pc
%{_datadir}/aclocal/aqbanking.m4
%{_datadir}/aqbanking/aqbanking/typemaker2
%{_datadir}/aqbanking/typemaker2


%changelog
* Thu Apr 11 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.5.4-1
- initial build
